Bug 122142 - "cups-pki-invalid" error when accessing printer over Avahi
Summary: "cups-pki-invalid" error when accessing printer over Avahi
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2018-12-16 18:17 UTC by Denis
Modified: 2019-10-19 02:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis 2018-12-16 18:17:30 UTC
Description:
The printer is hooked up to the desktop and shared via Avahi with a netbook. On the desktop there are no problems with printing. On the netbook I also can print from Mousepad, Geany, Firefox, and Atril pdf viewer, probably from other programs too.

But when I send a page to this printer from the LibreOffice on the netbook, a notification with this error (cups-pki-invalid) pops up and the print job is paused indefinitely. More precisely, in Writer only a notification pops up, while in Calc and Impress "Printing troubleshooter" wizard is launched. I'm pasting the information collected by this wizard in the additional info below.

Steps to Reproduce:
1. Have two or more PCs in the same LAN
2. Hook up a USB-printer to PC-1
3. Have Avahi demon enabled on both PCs
4. Send a page from LibreOffice to the printer on PC-1

Actual Results:
"cups-pki-invalid" error

Expected Results:
Page printed


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.7.3.0+
Build ID: 6.0.7-1.0
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
___

Information collected by "Printing troubleshooter" wizard:

Page 1 (<troubleshoot.SchedulerNotRunning.SchedulerNotRunning object at 0xaf673bac>):
{'cups_connection_failure': False}
Page 2 (<troubleshoot.ChoosePrinter.ChoosePrinter object at 0xaf67b9ac>):
{'cups_dest': <cups.Dest Samsung_SCX_4200_Series_DenDesktop>,
 'cups_instance': None,
 'cups_queue': 'Samsung_SCX_4200_Series_DenDesktop',
 'cups_queue_listed': True}
Page 3 (<troubleshoot.CheckPrinterSanity.CheckPrinterSanity object at 0xaf67b96c>):
{'cups_device_uri_scheme': 'ipps',
 'cups_printer_dict': {'device-uri': 'ipps://DenDesktop.local:631/printers/Samsung-SCX-4200-Series',
                       'printer-info': 'Samsung SCX-4200 Series @ DenDesktop',
                       'printer-is-shared': False,
                       'printer-location': 'DenDesktop',
                       'printer-make-and-model': 'SCX-4200, 2.0.0',
                       'printer-state': 5,
                       'printer-state-message': '',
                       'printer-state-reasons': ['cups-pki-invalid', 'paused'],
                       'printer-type': 2109510,
                       'printer-uri-supported': 'ipp://localhost/printers/Samsung_SCX_4200_Series_DenDesktop'},
 'cups_printer_remote': True,
 'is_cups_class': False,
 'local_cups_queue_attributes': {'charset-configured': 'utf-8',
                                 'charset-supported': ['us-ascii', 'utf-8'],
                                 'color-supported': False,
                                 'compression-supported': ['none', 'gzip'],
                                 'copies-default': 1,
                                 'copies-supported': (1, 9999),
                                 'cups-version': '2.2.8',
                                 'device-uri': 'ipps://DenDesktop.local:631/printers/Samsung-SCX-4200-Series',
                                 'document-format-default': 'application/octet-stream',
                                 'document-format-supported': ['application/octet-stream',
                                                               'application/pdf',
                                                               'application/postscript',
                                                               'application/vnd.adobe-reader-postscript',
                                                               'application/vnd.cups-pdf',
                                                               'application/vnd.cups-pdf-banner',
                                                               'application/vnd.cups-postscript',
                                                               'application/vnd.cups-raster',
                                                               'application/vnd.cups-raw',
                                                               'application/x-cshell',
                                                               'application/x-csource',
                                                               'application/x-perl',
                                                               'application/x-shell',
                                                               'image/gif',
                                                               'image/jpeg',
                                                               'image/png',
                                                               'image/pwg-raster',
                                                               'image/tiff',
                                                               'image/urf',
                                                               'image/x-bitmap',
                                                               'image/x-photocd',
                                                               'image/x-portable-anymap',
                                                               'image/x-portable-bitmap',
                                                               'image/x-portable-graymap',
                                                               'image/x-portable-pixmap',
                                                               'image/x-sgi-rgb',
                                                               'image/x-sun-raster',
                                                               'image/x-xbitmap',
                                                               'image/x-xpixmap',
                                                               'image/x-xwindowdump',
                                                               'text/css',
                                                               'text/html',
                                                               'text/plain'],
                                 'finishings-default': 3,
                                 'finishings-supported': [3],
                                 'generated-natural-language-supported': ['en-us'],
                                 'ipp-features-supported': ['subscription-object'],
                                 'ipp-versions-supported': ['1.0',
                                                            '1.1',
                                                            '2.0',
                                                            '2.1'],
                                 'ippget-event-life': 15,
                                 'job-cancel-after-default': 10800,
                                 'job-cancel-after-supported': (0, 2147483647),
                                 'job-creation-attributes-supported': ['copies',
                                                                       'finishings',
                                                                       'ipp-attribute-fidelity',
                                                                       'job-hold-until',
                                                                       'job-name',
                                                                       'job-priority',
                                                                       'job-sheets',
                                                                       'media',
                                                                       'media-col',
                                                                       'multiple-document-handling',
                                                                       'number-up',
                                                                       'output-bin',
                                                                       'orientation-requested',
                                                                       'page-ranges',
                                                                       'print-color-mode',
                                                                       'print-quality',
                                                                       'printer-resolution',
                                                                       'sides'],
                                 'job-hold-until-default': 'no-hold',
                                 'job-hold-until-supported': ['no-hold',
                                                              'indefinite',
                                                              'day-time',
                                                              'evening',
                                                              'night',
                                                              'second-shift',
                                                              'third-shift',
                                                              'weekend'],
                                 'job-ids-supported': True,
                                 'job-k-limit': 0,
                                 'job-k-octets-supported': (0, 475373608),
                                 'job-page-limit': 0,
                                 'job-priority-default': 50,
                                 'job-priority-supported': [100],
                                 'job-quota-period': 0,
                                 'job-settable-attributes-supported': ['copies',
                                                                       'finishings',
                                                                       'job-hold-until',
                                                                       'job-name',
                                                                       'job-priority',
                                                                       'media',
                                                                       'media-col',
                                                                       'multiple-document-handling',
                                                                       'number-up',
                                                                       'output-bin',
                                                                       'orientation-requested',
                                                                       'page-ranges',
                                                                       'print-color-mode',
                                                                       'print-quality',
                                                                       'printer-resolution',
                                                                       'sides'],
                                 'job-sheets-default': ('none', 'none'),
                                 'job-sheets-supported': ['none',
                                                          'classified',
                                                          'confidential',
                                                          'form',
                                                          'secret',
                                                          'standard',
                                                          'topsecret',
                                                          'unclassified'],
                                 'jpeg-k-octets-supported': (0, 475373608),
                                 'jpeg-x-dimension-supported': (0, 65535),
                                 'jpeg-y-dimension-supported': (1, 65535),
                                 'marker-change-time': 0,
                                 'media-bottom-margin-supported': [529],
                                 'media-col-default': '(unknown IPP value tag '
                                                      '0x34)',
                                 'media-col-supported': ['media-bottom-margin',
                                                         'media-left-margin',
                                                         'media-right-margin',
                                                         'media-size',
                                                         'media-source',
                                                         'media-top-margin',
                                                         'media-type'],
                                 'media-default': 'iso_a4_210x297mm',
                                 'media-left-margin-supported': [379],
                                 'media-right-margin-supported': [379],
                                 'media-size-supported': ['(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)',
                                                          '(unknown IPP value '
                                                          'tag 0x34)'],
                                 'media-source-supported': ['auto', 'manual'],
                                 'media-supported': ['na_letter_8.5x11in',
                                                     'na_legal_8.5x14in',
                                                     'iso_a4_210x297mm',
                                                     'na_executive_7.25x10.5in',
                                                     'custom_17x11in_17x11in',
                                                     'iso_a3_297x420mm',
                                                     'na_number-10_4.125x9.5in',
                                                     'na_monarch_3.875x7.5in',
                                                     'iso_c5_162x229mm',
                                                     'iso_dl_110x220mm',
                                                     'jis_b4_257x364mm',
                                                     'jis_b5_182x257mm',
                                                     'iso_b5_176x250mm',
                                                     'jpn_hagaki_100x148mm',
                                                     'jpn_oufuku_148x200mm',
                                                     'iso_a5_148x210mm',
                                                     'iso_a6_105x148mm',
                                                     'jis_b6_128x182mm',
                                                     'iso_c6_114x162mm',
                                                     'om_folio_210x330mm',
                                                     'na_personal_3.625x6.5in',
                                                     'na_number-9_3.875x8.875in',
                                                     'custom_8.5x13.5in_8.5x13.5in'],
                                 'media-top-margin-supported': [529],
                                 'media-type-supported': ['off',
                                                          'normal',
                                                          'thick',
                                                          'thin',
                                                          'bond',
                                                          'ohp',
                                                          'cardstock',
                                                          'label',
                                                          'used',
                                                          'color',
                                                          'envelope',
                                                          'cotton',
                                                          'stationery-recycled',
                                                          'archive'],
                                 'multiple-document-handling-supported': ['separate-documents-uncollated-copies',
                                                                          'separate-documents-collated-copies'],
                                 'multiple-document-jobs-supported': True,
                                 'multiple-operation-time-out': 300,
                                 'multiple-operation-time-out-action': 'process-job',
                                 'natural-language-configured': 'en-us',
                                 'notify-attributes-supported': ['printer-state-change-time',
                                                                 'notify-lease-expiration-time',
                                                                 'notify-subscriber-user-name'],
                                 'notify-events-default': ['job-completed'],
                                 'notify-events-supported': ['job-completed',
                                                             'job-config-changed',
                                                             'job-created',
                                                             'job-progress',
                                                             'job-state-changed',
                                                             'job-stopped',
                                                             'printer-added',
                                                             'printer-changed',
                                                             'printer-config-changed',
                                                             'printer-deleted',
                                                             'printer-finishings-changed',
                                                             'printer-media-changed',
                                                             'printer-modified',
                                                             'printer-restarted',
                                                             'printer-shutdown',
                                                             'printer-state-changed',
                                                             'printer-stopped',
                                                             'server-audit',
                                                             'server-restarted',
                                                             'server-started',
                                                             'server-stopped'],
                                 'notify-lease-duration-default': 86400,
                                 'notify-lease-duration-supported': (0,
                                                                     2147483647),
                                 'notify-max-events-supported': [100],
                                 'notify-pull-method-supported': ['ippget'],
                                 'notify-schemes-supported': ['dbus',
                                                              'mailto',
                                                              'rss'],
                                 'number-up-default': 1,
                                 'number-up-supported': [1, 2, 4, 6, 9, 16],
                                 'operations-supported': [2,
                                                          4,
                                                          5,
                                                          6,
                                                          8,
                                                          9,
                                                          10,
                                                          11,
                                                          12,
                                                          13,
                                                          16,
                                                          17,
                                                          18,
                                                          19,
                                                          20,
                                                          21,
                                                          22,
                                                          23,
                                                          24,
                                                          25,
                                                          26,
                                                          27,
                                                          28,
                                                          34,
                                                          35,
                                                          37,
                                                          38,
                                                          56,
                                                          57,
                                                          59,
                                                          16385,
                                                          16386,
                                                          16387,
                                                          16388,
                                                          16389,
                                                          16390,
                                                          16391,
                                                          16392,
                                                          16393,
                                                          16394,
                                                          16395,
                                                          16396,
                                                          16397,
                                                          16398,
                                                          16399,
                                                          16423,
                                                          14],
                                 'orientation-requested-default': None,
                                 'orientation-requested-supported': [3,
                                                                     4,
                                                                     5,
                                                                     6],
                                 'output-bin-default': 'face-down',
                                 'output-bin-supported': ['face-down'],
                                 'page-ranges-supported': True,
                                 'pages-per-minute': 1,
                                 'pdf-k-octets-supported': (0, 475373608),
                                 'pdf-versions-supported': ['adobe-1.2',
                                                            'adobe-1.3',
                                                            'adobe-1.4',
                                                            'adobe-1.5',
                                                            'adobe-1.6',
                                                            'adobe-1.7',
                                                            'iso-19005-1_2005',
                                                            'iso-32000-1_2008',
                                                            'pwg-5102.3'],
                                 'pdl-override-supported': ['attempted'],
                                 'port-monitor': 'none',
                                 'port-monitor-supported': ['none'],
                                 'print-color-mode-default': 'monochrome',
                                 'print-color-mode-supported': ['monochrome'],
                                 'print-quality-default': 4,
                                 'print-quality-supported': [4],
                                 'printer-commands': 'none',
                                 'printer-config-change-date-time': '(IPP_TAG_DATE)',
                                 'printer-config-change-time': 1544978925,
                                 'printer-current-time': '(IPP_TAG_DATE)',
                                 'printer-dns-sd-name': None,
                                 'printer-error-policy': 'stop-printer',
                                 'printer-error-policy-supported': ['abort-job',
                                                                    'retry-current-job',
                                                                    'retry-job',
                                                                    'stop-printer'],
                                 'printer-geo-location': '(unknown IPP value '
                                                         'tag 0x12)',
                                 'printer-get-attributes-supported': ['document-format'],
                                 'printer-icons': 'http://localhost/icons/Samsung_SCX_4200_Series_DenDesktop.png',
                                 'printer-info': 'Samsung SCX-4200 Series @ '
                                                 'DenDesktop',
                                 'printer-is-accepting-jobs': True,
                                 'printer-is-shared': False,
                                 'printer-is-temporary': True,
                                 'printer-location': 'DenDesktop',
                                 'printer-make-and-model': 'SCX-4200, 2.0.0',
                                 'printer-more-info': 'http://localhost/printers/Samsung_SCX_4200_Series_DenDesktop',
                                 'printer-name': 'Samsung_SCX_4200_Series_DenDesktop',
                                 'printer-op-policy': 'default',
                                 'printer-op-policy-supported': ['authenticated',
                                                                 'default',
                                                                 'kerberos'],
                                 'printer-organization': '',
                                 'printer-organizational-unit': '',
                                 'printer-resolution-default': (600, 600, 3),
                                 'printer-resolution-supported': [(600,
                                                                   600,
                                                                   3)],
                                 'printer-settable-attributes-supported': ['printer-geo-location',
                                                                           'printer-info',
                                                                           'printer-location',
                                                                           'printer-organization',
                                                                           'printer-organizational-unit'],
                                 'printer-state': 5,
                                 'printer-state-change-date-time': '(IPP_TAG_DATE)',
                                 'printer-state-change-time': 1544978926,
                                 'printer-state-message': '',
                                 'printer-state-reasons': ['cups-pki-invalid',
                                                           'paused'],
                                 'printer-type': 2109510,
                                 'printer-up-time': 1544978964,
                                 'printer-uri-supported': ['ipp://localhost/printers/Samsung_SCX_4200_Series_DenDesktop'],
                                 'printer-uuid': 'urn:uuid:f64fd38c-b26c-3748-7e38-ece3be07ad85',
                                 'pwg-raster-document-resolution-supported': [(600,
                                                                               600,
                                                                               3)],
                                 'pwg-raster-document-type-supported': ['black_1',
                                                                        'sgray_8'],
                                 'queued-job-count': 1,
                                 'server-is-sharing-printers': False,
                                 'sides-default': 'one-sided',
                                 'sides-supported': ['one-sided'],
                                 'uri-authentication-supported': ['requesting-user-name'],
                                 'uri-security-supported': ['none'],
                                 'which-jobs-supported': ['completed',
                                                          'not-completed',
                                                          'aborted',
                                                          'all',
                                                          'canceled',
                                                          'pending',
                                                          'pending-held',
                                                          'processing',
                                                          'processing-stopped']}}
Page 4 (<troubleshoot.CheckPPDSanity.CheckPPDSanity object at 0xaf68a06c>):
{'cups_printer_ppd_defaults': {'General': {'ColorModel': 'Gray',
                                           'InputSlot': 'Auto',
                                           'MediaType': 'Off',
                                           'PageRegion': 'A4',
                                           'PageSize': 'A4',
                                           'cupsPrintQuality': 'Normal'}},
 'cups_printer_ppd_valid': True}
Page 5 (<troubleshoot.LocalOrRemote.LocalOrRemote object at 0xb412af8c>):
{'printer_is_remote': False}
Page 6 (<troubleshoot.PrinterStateReasons.PrinterStateReasons object at 0xaf69f12c>):
{'printer-state-message': '',
 'printer-state-reasons': ['cups-pki-invalid', 'paused']}
Page 7 (<troubleshoot.PrintTestPage.PrintTestPage object at 0xaf68a68c>):
{'test_page_attempted': '16/Dec/2018:19:50:16 +0300',
 'test_page_job_status': [],
 'test_page_submit_failure': (1030, 'client-error-not-found'),
 'test_page_successful': False}
Page 8 (<troubleshoot.Locale.Locale object at 0xaf6a9eec>):
{'printer_page_size': 'A4',
 'system_locale_lang': 'en_US',
 'user_locale_ctype': 'en_US',
 'user_locale_messages': 'en_US'}
Comment 1 Xisco Faulí 2019-01-21 18:34:37 UTC
@Caolán, I thought you might be interested in this issue...
Comment 2 Xisco Faulí 2019-03-21 12:47:47 UTC
Hello Denis,
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 3 QA Administrators 2019-09-18 02:56:17 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-10-19 02:44:52 UTC
Dear Denis,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp